Subject: Re: Cleaning up "contrib/"

From: Junio C Hamano <[email-masked]>
Date: Mon, 05 May 2025 12:10:15 -0700

Patrick Steinhardt <[email-masked]> writes:

> Many of the tools in "contrib/" fall into this category, and to the best
> of my knowledge there isn't really a clear strategy for that directory.
> So from my perspective, we should either rethink whether it is worth it
> to have "contrib/" as part of Git, or we should at least do a spring
> cleanup and drop bits that haven't seen any love in the last couple of
> years.

Things in contrib/ should either move up (to become a part of the
core), move out (to become an independent project), or disappear.

But isn't git-svn not even part of contrib/?